#!/bin/bash
# Export environment configuration for the Mobility Base

# Floor camera
export MB_FLOOR_CAMERA=1
export MB_FLOOR_CAMERA_FRAME_RATE=
export MB_FLOOR_CAMERA_EXPOSURE=
export MB_FLOOR_CAMERA_RECTIFY=true

# Front laser (Hokuyo)
export MB_LASER_FRONT_HOKUYO=0
export MB_LASER_FRONT_HOKUYO_URG_04LX=0
export MB_LASER_FRONT_HOKUYO_UST_10LX=0
export MB_LASER_FRONT_HOKUYO_UST_20LX=1
export MB_LASER_FRONT_HOKUYO_IP=192.168.0.10
export MB_LASER_FRONT_HOKUYO_DEV=

# Rear laser (Hokuyo)
export MB_LASER_REAR_HOKUYO=0
export MB_LASER_REAR_HOKUYO_URG_04LX=1
export MB_LASER_REAR_HOKUYO_UST_10LX=0
export MB_LASER_REAR_HOKUYO_UST_20LX=0
export MB_LASER_REAR_HOKUYO_IP=
export MB_LASER_REAR_HOKUYO_DEV=/dev/sensors/hokuyo_H1312846

# Birdcage laser (R2000)
export MB_LASER_BIRDCAGE_R2000=1
export MB_LASER_BIRDCAGE_R2000_IP=192.168.0.11
export MB_LASER_BIRDCAGE_R2000_FREQ=35
export MB_LASER_BIRDCAGE_R2000_SAMPLES=3600

# Birdcage laser (VLP16)
export MB_LASER_BIRDCAGE_VLP16=0
export MB_LASER_BIRDCAGE_VLP16_IP=
export MB_LASER_BIRDCAGE_VLP16_FLIP=0

